<?php

// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Takayuki Tanimoto <takayuki@snapshot.co.jp>                 |
// +----------------------------------------------------------------------+
//
// $Id: PrintView_success.class.php,v 1.1 2005/06/20 09:31:24 snapshot Exp $
//
// Description:
// 2005/05/18
//

require_once (OPT_DIR.'u-learning/view/AdminView.class.php');

class PrintView extends AdminView {

    function setRendererAttributes(& $controller, & $request, & $user, & $renderer) {
        if ($request->getAttribute('correct')) {
            $renderer->setTemplate('Print_correct.php');
        } else {
            $renderer->setTemplate('Print_success.php');
        }

        $renderer->setAttribute('exam', $request->getAttribute('exam'));
        $renderer->setAttribute('sname', $request->getAttribute('sname'));
        $renderer->setAttribute('questions', $request->getAttribute('questions'));
        $renderer->setAttribute('questions_count', $request->getAttribute('questions_count'));
        $renderer->setAttribute('total_point', $request->getAttribute('total_point'));
    }

}
?>